install.packages("readxl")
install.packages("openxlsx")

library(readxl)
library(openxlsx)

# Read data
AR_researchers <- read_excel("results template.xlsx")
IA_researchers <- read_excel("IAM researchers input.xlsx")

# Loop through each row in AR_researchers
for (i in 1:nrow(AR_researchers)) {
  researcher_name <- AR_researchers$Researcher[i]
  
  # Find the corresponding row in IA_researchers
  matching_row <- match(researcher_name, IA_researchers$Researcher)
  
  # If a match is found, update AR_researchers
  if (!is.na(matching_row)) {
    AR_researchers$Country[i] <- IA_researchers$Country[matching_row]
    AR_researchers$Model[i] <- IA_researchers$Model[matching_row]
    AR_researchers$Gender[i] <- IA_researchers$Gender[matching_row]
  }
}

write.xlsx(AR_researchers, "AR researchers final.xlsx", rowNames = FALSE)

